| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
PreStackView::Viewer2DGatherPainter Class Reference
uiPreStackProcessing

`#include <psviewer2dgatherpainter.h>`

## Public Member Functions
| Viewer2DGatherPainter (FlatView::Viewer &)
| ~Viewer2DGatherPainter ()
float | colorTableClipRate () const
TrcKey | getTrcKey () const
bool | hasData () const
void | setColorTableClipRate (float)
void | setVDGather (const PreStack::Gather *)
void | setVDGather (DataPackID)
void | setWVAGather (const PreStack::Gather *)
void | setWVAGather (DataPackID)

## Protected Member Functions
void | ensureHasZDomain (const PreStack::Gather &)
void | getGatherRange (const PreStack::Gather *, SamplingData< float > &, int &nrsamp) const

## Protected Attributes
ConstRefMan< PreStack::Gather > | inputvdgather_
ConstRefMan< PreStack::Gather > | inputwvagather_
FlatView::Viewer & | viewer_

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ Viewer2DGatherPainter()

PreStackView::Viewer2DGatherPainter::Viewer2DGatherPainter | ( | FlatView::Viewer & |  | ) |

## ◆ ~Viewer2DGatherPainter()

PreStackView::Viewer2DGatherPainter::~Viewer2DGatherPainter | ( |  | ) |

## Member Function Documentation

## ◆ colorTableClipRate()

float PreStackView::Viewer2DGatherPainter::colorTableClipRate | ( |  | ) | const

## ◆ ensureHasZDomain()

void PreStackView::Viewer2DGatherPainter::ensureHasZDomain | ( | const PreStack::Gather & |  | ) |
| protected

## ◆ getGatherRange()

void PreStackView::Viewer2DGatherPainter::getGatherRange | ( | const PreStack::Gather * | ,
|  | SamplingData< float > & | ,
|  | int & | nrsamp ) const
| protected

## ◆ getTrcKey()

TrcKey PreStackView::Viewer2DGatherPainter::getTrcKey | ( |  | ) | const

## ◆ hasData()

bool PreStackView::Viewer2DGatherPainter::hasData | ( |  | ) | const
| inline

## ◆ setColorTableClipRate()

void PreStackView::Viewer2DGatherPainter::setColorTableClipRate | ( | float |  | ) |

## ◆ setVDGather() [1/2]

void PreStackView::Viewer2DGatherPainter::setVDGather | ( | const PreStack::Gather * |  | ) |

## ◆ setVDGather() [2/2]

void PreStackView::Viewer2DGatherPainter::setVDGather | ( | DataPackID |  | ) |

## ◆ setWVAGather() [1/2]

void PreStackView::Viewer2DGatherPainter::setWVAGather | ( | const PreStack::Gather * |  | ) |

## ◆ setWVAGather() [2/2]

void PreStackView::Viewer2DGatherPainter::setWVAGather | ( | DataPackID |  | ) |

## Member Data Documentation

## ◆ inputvdgather_

ConstRefMan<PreStack::Gather> PreStackView::Viewer2DGatherPainter::inputvdgather_
| protected

## ◆ inputwvagather_

ConstRefMan<PreStack::Gather> PreStackView::Viewer2DGatherPainter::inputwvagather_
| protected

## ◆ viewer_

FlatView::Viewer& PreStackView::Viewer2DGatherPainter::viewer_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025